<?php
/**
* Top Bar options
*
* @package Graduate_Pro
* @since Graduate Pro 1.0
*/

// Add Top bar enable section
$wp_customize->add_section( 'graduate_pro_top_bar_section', array(
	'title'             => esc_html__( 'Top bar Section','graduate-pro' ),
	'description'       => esc_html__( 'Top bar section options.', 'graduate-pro' ),
	'panel'             => 'graduate_pro_section_options_panel'
) );

// Add Top bar enable setting and control.
$wp_customize->add_setting( 'graduate_pro_theme_options[top_bar_enable]', array(
	'default'           => $options['top_bar_enable'],
	'sanitize_callback' => 'graduate_pro_sanitize_select'
) );

$wp_customize->add_control( 'graduate_pro_theme_options[top_bar_enable]', array(
	'label'             => esc_html__( 'Enable on', 'graduate-pro' ),
	'section'           => 'graduate_pro_top_bar_section',
	'type'              => 'select',
	'choices'           => graduate_pro_enable_disable_options()
) );


// Add Top bar phone setting and control.
$wp_customize->add_setting( 'graduate_pro_theme_options[top_bar_detail_phone]', array(
	'default'           => $options['top_bar_detail_phone'],
	'sanitize_callback' => 'sanitize_text_field',
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'graduate_pro_theme_options[top_bar_detail_phone]', array(
	'label'             => esc_html__( 'Phone', 'graduate-pro' ),
	'section'           => 'graduate_pro_top_bar_section',
	'type'              => 'text',
	'active_callback'	=> 'graduate_pro_is_top_bar_active',
) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'graduate_pro_theme_options[top_bar_detail_phone]', array(
		'selector'            => '#top-bar .address-block li.phone',
		'settings'            => 'graduate_pro_theme_options[top_bar_detail_phone]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'graduate_pro_partial_top_bar_phone',
    ) );
}

// Add Top bar location setting and control.
$wp_customize->add_setting( 'graduate_pro_theme_options[top_bar_detail_location]', array(
	'default'           => $options['top_bar_detail_location'],
	'sanitize_callback' => 'sanitize_text_field',
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'graduate_pro_theme_options[top_bar_detail_location]', array(
	'label'             => esc_html__( 'Location', 'graduate-pro' ),
	'section'           => 'graduate_pro_top_bar_section',
	'type'              => 'text',
	'active_callback'	=> 'graduate_pro_is_top_bar_active',
) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'graduate_pro_theme_options[top_bar_detail_location]', array(
		'selector'            => '#top-bar .address-block li.address',
		'settings'            => 'graduate_pro_theme_options[top_bar_detail_location]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'graduate_pro_partial_top_bar_location',
    ) );
}