<?php
/**
 * Theme Palace widgets inclusion
 *
 * This is the template that includes all custom widgets of Theme Palace
 *
 * @package Graduate Pro
 * @since Graduate Pro 1.0
 */

/**
 * Register widget area. *
 */
function graduate_pro_widgets_init() {
	// Sidebar Widget Area
	register_sidebar( array(
		'name'          => esc_html__( 'Sidebar', 'graduate-pro' ),
		'id'            => 'sidebar-1',
		'description'   => esc_html__( 'Add widgets here.', 'graduate-pro' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );

	// Optional Sidebar Widget Area
	register_sidebars( 3, array(
		'name'          => esc_html__( 'Optional Sidebar %d', 'graduate-pro' ),
		'id'            => 'graduate-pro-optional-sidebar',
		'description'   => esc_html__( 'Add widgets here.', 'graduate-pro' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );

	// Header Widget Area
	register_sidebar( array(
		'name'          => esc_html__( 'Header Widget Area', 'graduate-pro' ),
		'id'            => 'graduate-pro-header-widget-area',
		'description'   => esc_html__( 'This Widget Area is for Header Section.', 'graduate-pro' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );

	// Footer Widget Area
	register_sidebars( 4, array(
		'name'          => esc_html__( 'Footer Widget Area %d', 'graduate-pro' ),
		'id'            => 'graduate-pro-footer-widget-area',
		'description'   => esc_html__( 'This Widget Area is for Footer Section.', 'graduate-pro' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	) );
}
add_action( 'widgets_init', 'graduate_pro_widgets_init' );

/*
 * Add social link widget
 */
require get_template_directory() . '/inc/widgets/social-link.php';
/*
 * Add Ad image widget
 */
require get_template_directory() . '/inc/widgets/ad-image.php';
/*
 * Add video widget
 */
require get_template_directory() . '/inc/widgets/video-widget.php';
/*
 * Add Contact info widget
 */
require get_template_directory() . '/inc/widgets/contact-info.php';
/*
 * Add instagram widget
 */
require get_template_directory() . '/inc/widgets/instagram.php';
/*
 * Add popular post meta
 */
require get_template_directory() . '/inc/widgets/popular-post/popular-post-meta.php';
/*
 * Add popular post widget
 */
require get_template_directory() . '/inc/widgets/popular-post/popular-post-widget.php';
/*
 * Add latest post widget
 */
require get_template_directory() . '/inc/widgets/latest-post-widget.php';
/*
 * Add link buttons widget
 */
require get_template_directory() . '/inc/widgets/link-button.php';